Bug 321169 - FREQ: Add option to show table of contents in sidebar on startup (if present) instead of thumbnails
Summary: FREQ: Add option to show table of contents in sidebar on startup (if present)...
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: 0.16.80
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-15 09:14 UTC by Stefan Radermacher
Modified: 2013-11-21 09:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments
Patch to implement this FREQ (2.90 KB, patch)
2013-06-15 09:33 UTC, Stefan Radermacher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Radermacher 2013-06-15 09:14:00 UTC
I'd like an option to tell okular that when I load up a document, I'd rather see the table of contents in the sidebar (if the document has one) than the thumbnails, instead of having to switch every time.

Reproducible: Always
Comment 1 Stefan Radermacher 2013-06-15 09:33:08 UTC
Created attachment 80525 [details]
Patch to implement this FREQ

I have added a patch that would implement the proposed feature.
Comment 2 Yuri Chornoivan 2013-06-15 09:40:20 UTC
(In reply to comment #1)
> Created attachment 80525 [details]
> Patch to implement this FREQ
> 
> I have added a patch that would implement the proposed feature.

Hi,

Thanks for the patch.

Can you put it on https://git.reviewboard.kde.org/ for the developers to review and push it?

It should also be noted that KDE is in string freeze now. So the adoption of the patch should be discussed with KDE translation team.

If it will be adopted I can change the docs accordingly (there is enough time for this).
Comment 3 Stefan Radermacher 2013-06-15 09:48:02 UTC
I have added review request #111036.
Comment 4 Fabio D'Urso 2013-09-30 21:23:14 UTC
Git commit 20716155ecb1e8433476c0e7ff3610613003c29f by Fabio D'Urso, on behalf of Stefan Radermacher.
Committed on 27/09/2013 at 13:31.
Pushed by fabiod into branch 'master'.

Show table of contents in sidebar on startup (if present)
FIXED-IN: 4.12.0
REVIEW: 111036

M  +4    -0    part.cpp

http://commits.kde.org/okular/20716155ecb1e8433476c0e7ff3610613003c29f
Comment 5 Lucas Kane 2013-11-16 19:45:37 UTC
Hey, with the current implementation Okular **always** opens up the navigation panel when there is a table of contents. 

This might be a bit too much, for example when I'm prewieving some LaTeX code and I'm reloading often to see the changes I have to manually close the navigation panel at every reload... 

Would it be possibile to make this optional? Something like "automatically show the pdf table of contents if available" inside Okular settings.
Comment 6 Albert Astals Cid 2013-11-19 00:03:32 UTC
What is "the current implementation" for you? git master code? 4.11? 4.12 betas?
Comment 7 Lucas Kane 2013-11-19 08:31:04 UTC
4.12 beta 2. Just to clarify, I think the "open navigation bar is present" feature introduced by the commit listed in this bug should be optional. It would be also ok to configure it from the rc file, but I think there should be some way to configure this.
Comment 8 Stefan Radermacher 2013-11-21 09:02:27 UTC
(In reply to comment #7)
> 4.12 beta 2. Just to clarify, I think the "open navigation bar is present"
> feature introduced by the commit listed in this bug should be optional. It
> would be also ok to configure it from the rc file, but I think there should
> be some way to configure this.

When I originally submitted my patch it included an preferences option to activate the new behaviour. However, the KDE team decided, an option should not be necessary, and this should be the default behavior.

Note that even before this change, the sidebar was always open by default, usually showing thumbnails.
Comment 9 Lucas Kane 2013-11-21 09:31:17 UTC
Nevermind, it should have been fixed by: http://commits.kde.org/okular/db53b2f3596135fa2e8768333fd3c4b4853b8ce0 (I've yet to test it)

See also the discussion here: https://bugs.kde.org/show_bug.cgi?id=327641